org.deidentifier.arx.gui.view.impl.common

## Class PageableTableNavigator

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.nebula.widgets.pagination.AbstractPageControllerComposite
          - - org.deidentifier.arx.gui.view.impl.common.PageableTableNavigator

All Implemented Interfaces:
  org.eclipse.nebula.widgets.pagination.IPageChangedListener, org.eclipse.swt.graphics.Drawable

    public class PageableTableNavigator
    extends org.eclipse.nebula.widgets.pagination.AbstractPageControllerComposite

Adapted from the Nebula source. Contributors: Angelo ZERR - initial API and implementation Pascal Leclercq - initial API and implementation

### Field Summary

Fields
`static int` `PAGE_SIZE` Enable pagination

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
Constructor and Description
`PageableTableNavigator(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.nebula.widgets.pagination.PageableController controller)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.nebula.widgets.pagination.renderers.navigation.graphics.NavigationPageGraphics` `getNavigationPage()` Returns the `GC` navigation page.
`void` `pageIndexChanged(int oldPageNumber, int newPageNumber, org.eclipse.nebula.widgets.pagination.PageableController controller)`
`void` `pageSizeChanged(int oldPageSize, int newPageSize, org.eclipse.nebula.widgets.pagination.PageableController paginationController)`
`void` `setConfigurator(org.eclipse.nebula.widgets.pagination.renderers.navigation.graphics.INavigationPageGraphicsConfigurator configurator)` Configure navigation page.
`void` `setLocale(java.util.Locale locale)`
`void` `sortChanged(java.lang.String oldPopertyName, java.lang.String propertyName, int oldSortDirection, int sortDirection, org.eclipse.nebula.widgets.pagination.PageableController paginationController)`
`void` `totalElementsChanged(long oldTotalElements, long newTotalElements, org.eclipse.nebula.widgets.pagination.PageableController controller)`

### Methods inherited from class org.eclipse.nebula.widgets.pagination.AbstractPageControllerComposite

`dispose, getController, getLocale, getPageContentProvider, localeChanged, setCurrentPage`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PAGE_SIZE

    public static final int PAGE_SIZE

Enable pagination

See Also:
  Constant Field Values

### Constructor Detail

#### PageableTableNavigator

    public PageableTableNavigator(org.eclipse.swt.widgets.Composite parent,
                                  int style,
                                  org.eclipse.nebula.widgets.pagination.PageableController controller)

Creates a new instance

Parameters:
  `parent` -
  `style` -
  `controller` -

### Method Detail

#### getNavigationPage

    public org.eclipse.nebula.widgets.pagination.renderers.navigation.graphics.NavigationPageGraphics getNavigationPage()

Returns the `GC` navigation page.

Returns:

#### pageIndexChanged

    public void pageIndexChanged(int oldPageNumber,
                                 int newPageNumber,
                                 org.eclipse.nebula.widgets.pagination.PageableController controller)

#### pageSizeChanged

    public void pageSizeChanged(int oldPageSize,
                                int newPageSize,
                                org.eclipse.nebula.widgets.pagination.PageableController paginationController)

#### setConfigurator

    public void setConfigurator(org.eclipse.nebula.widgets.pagination.renderers.navigation.graphics.INavigationPageGraphicsConfigurator configurator)

Configure navigation page.

Parameters:
  `configurator` -

#### setLocale

    public void setLocale(java.util.Locale locale)

Overrides:
  `setLocale` in class `org.eclipse.nebula.widgets.pagination.AbstractPageControllerComposite`

#### sortChanged

    public void sortChanged(java.lang.String oldPopertyName,
                            java.lang.String propertyName,
                            int oldSortDirection,
                            int sortDirection,
                            org.eclipse.nebula.widgets.pagination.PageableController paginationController)

#### totalElementsChanged

    public void totalElementsChanged(long oldTotalElements,
                                     long newTotalElements,
                                     org.eclipse.nebula.widgets.pagination.PageableController controller)